com.impinj.stp

## Class StpApi.DeviceState.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceState.Builder>
      - - com.impinj.stp.StpApi.DeviceState.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.DeviceStateOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.DeviceState

      public static final class StpApi.DeviceState.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceState.Builder>
      implements StpApi.DeviceStateOrBuilder

  Protobuf type `Impinj.STP.DeviceState` The health or fault state of the device.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.DeviceState` | `build()`
    `StpApi.DeviceState` | `buildPartial()`
    `StpApi.DeviceState.Builder` | `clear()`
    `StpApi.DeviceState.Builder` | `clearDeviceFault()`
    `StpApi.DeviceState.Builder` | `clearDeviceOperatingState()`
    `StpApi.DeviceState.Builder` | `clearFaultDetails()`
    `StpApi.DeviceState.Builder` | `clone()`
    `StpApi.DeviceState` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `StpApi.DeviceFaultType` | `getDeviceFault()`
    `StpApi.DeviceOperatingState` | `getDeviceOperatingState()`
    `java.lang.String` | `getFaultDetails()`
    `com.google.protobuf.ByteString` | `getFaultDetailsBytes()`
    `boolean` | `hasDeviceFault()`
    `boolean` | `hasDeviceOperatingState()`
    `boolean` | `hasFaultDetails()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.DeviceState.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.DeviceState.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.DeviceState.Builder` | `mergeFrom(StpApi.DeviceState other)`
    `StpApi.DeviceState.Builder` | `setDeviceFault(StpApi.DeviceFaultType value)`
    `StpApi.DeviceState.Builder` | `setDeviceOperatingState(StpApi.DeviceOperatingState value)`
    `StpApi.DeviceState.Builder` | `setFaultDetails(java.lang.String value)`
    `StpApi.DeviceState.Builder` | `setFaultDetailsBytes(com.google.protobuf.ByteString value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceState.Builder>`

    - #### clear

          public StpApi.DeviceState.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceState.Builder>`

    - #### clone

          public StpApi.DeviceState.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceState.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceState.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.DeviceState getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.DeviceState build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.DeviceState buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.DeviceState.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.DeviceState.Builder>`

    - #### mergeFrom

          public StpApi.DeviceState.Builder mergeFrom(StpApi.DeviceState other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.DeviceState.Builder>`

    - #### mergeFrom

          public StpApi.DeviceState.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.DeviceState.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasDeviceOperatingState

          public boolean hasDeviceOperatingState()

      Specified by:
        `hasDeviceOperatingState` in interface `StpApi.DeviceStateOrBuilder`

    - #### getDeviceOperatingState

          public StpApi.DeviceOperatingState getDeviceOperatingState()

      Specified by:
        `getDeviceOperatingState` in interface `StpApi.DeviceStateOrBuilder`

    - #### setDeviceOperatingState

          public StpApi.DeviceState.Builder setDeviceOperatingState(StpApi.DeviceOperatingState value)

    - #### clearDeviceOperatingState

          public StpApi.DeviceState.Builder clearDeviceOperatingState()

    - #### hasDeviceFault

          public boolean hasDeviceFault()

      Specified by:
        `hasDeviceFault` in interface `StpApi.DeviceStateOrBuilder`

    - #### getDeviceFault

          public StpApi.DeviceFaultType getDeviceFault()

      Specified by:
        `getDeviceFault` in interface `StpApi.DeviceStateOrBuilder`

    - #### setDeviceFault

          public StpApi.DeviceState.Builder setDeviceFault(StpApi.DeviceFaultType value)

    - #### clearDeviceFault

          public StpApi.DeviceState.Builder clearDeviceFault()

    - #### hasFaultDetails

          public boolean hasFaultDetails()

      Specified by:
        `hasFaultDetails` in interface `StpApi.DeviceStateOrBuilder`

    - #### getFaultDetails

          public java.lang.String getFaultDetails()

      Specified by:
        `getFaultDetails` in interface `StpApi.DeviceStateOrBuilder`

    - #### getFaultDetailsBytes

          public com.google.protobuf.ByteString getFaultDetailsBytes()

      Specified by:
        `getFaultDetailsBytes` in interface `StpApi.DeviceStateOrBuilder`

    - #### setFaultDetails

          public StpApi.DeviceState.Builder setFaultDetails(java.lang.String value)

    - #### clearFaultDetails

          public StpApi.DeviceState.Builder clearFaultDetails()

    - #### setFaultDetailsBytes

          public StpApi.DeviceState.Builder setFaultDetailsBytes(com.google.protobuf.ByteString value)